repo/gentoo:master commit in: dev-python/flit-core/
MichaŠGórny <[email protected]> Wed, 05 Aug 2026 02:13:34 +0000 (UTC)
| Newsgroups | gmane.linux.gentoo.cvs |
|---|---|
| Message-ID | <1785894937.bf0481487a0a456f22a1b8716d14d68a2e617a6e.mgorny@gentoo> |
commit: bf0481487a0a456f22a1b8716d14d68a2e617a6e
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Wed Aug 5 01:28:14 2026 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Wed Aug 5 01:55:37 2026 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=bf048148
dev-python/flit-core: Bump to 4.0.2
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
dev-python/flit-core/Manifest | 2 ++
dev-python/flit-core/flit-core-4.0.2.ebuild | 37 +++++++++++++++++++++++++++++
2 files changed, 39 insertions(+)
diff --git a/dev-python/flit-core/Manifest b/dev-python/flit-core/Manifest
index e1d4e90f3a2d..2b8355c376e4 100644
--- a/dev-python/flit-core/Manifest
+++ b/dev-python/flit-core/Manifest
@@ -1,2 +1,4 @@
DIST flit_core-3.12.0.tar.gz 53690 BLAKE2B 2dbc8cb1803d2b05693d458ab29d141631af268ad1620ccd91d7fe1636eab6c776c5482d94fdd2006dafa8b5cb45cb41d29fb80ac91e29877b43ba8e94ac2bd5 SHA512 189dcd674722164b165e18b11c4dc72b8309fa2e3c82fc1ed6a9160bb5c6c1f86e2b2cfa111603cf73dca0dba74a496a664d5cbb6242587b47f139c42f7ae8bd
DIST flit_core-3.12.0.tar.gz.provenance 9041 BLAKE2B 565e305d207998db9d44d21a857f71e20aff110126f099800461f551bac89a3dd692eafe053c54f4f68a7d9d34b9c60c52415a80ccbce4f577963da59164cc3e SHA512 a59272bcc25fafbba551030602fc0ae7601f2d5aa912a37eedf7e364f69186719f0636cd824c4c51145f1c848b5a8005c5b886a593c9b4c46afd9f039000f04f
+DIST flit_core-4.0.2.tar.gz 53083 BLAKE2B 3825bcb6dbfde73907e2705de94a33d7d128313ed19c9a264c6a8e994fc00937aa85d5c074e4958944f360f0da92b5704ec16d3dbdb3c6fb2ba3b806122ee233 SHA512 d0d3ace00529392cb69813ee975b37bbcdadbacb1ff9ad841838cb821f3732ae3c075fe3c740ca88bf7017b6d49739602382fed4603cfb0f49331f5b5da6dfb3
+DIST flit_core-4.0.2.tar.gz.provenance 8836 BLAKE2B 399becda7ce362501d1526bcea33bcec6b1c45ae595fe791d9fa8d1c121b1d1a8986940792f50910584952c5eb685ab2be3a858225e2ca34f793035c5c34261f SHA512 41f37ef2a0b0f4173a0df3cbff86b92b9bf6dd1605786c2eabf33f8c881c63226a4e9beafeecdf6f6c82d07866fe05e4c20075b4317cceb1ea2986cf9c08a8ee
diff --git a/dev-python/flit-core/flit-core-4.0.2.ebuild b/dev-python/flit-core/flit-core-4.0.2.ebuild
new file mode 100644
index 000000000000..5b299824f534
--- /dev/null
+++ b/dev-python/flit-core/flit-core-4.0.2.ebuild
@@ -0,0 +1,37 @@
+# Copyright 2019-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+# please keep this ebuild at EAPI 8 -- sys-apps/portage dep
+EAPI=8
+
+DISTUTILS_USE_PEP517=standalone
+PYPI_VERIFY_REPO=https://github.com/pypa/flit
+PYTHON_COMPAT=( python3_{12..15} python3_{14..15}t )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Simplified packaging of Python modules (core module)"
+HOMEPAGE="
+ https://pypi.org/project/flit-core/
+ https://github.com/pypa/flit/
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~arm64-macos ~x64-macos ~x64-solaris"
+
+BDEPEND="
+ test? ( dev-python/testpath[${PYTHON_USEDEP}] )
+"
+
+EPYTEST_PLUGINS=()
+distutils_enable_tests pytest
+
+src_prepare() {
+ distutils-r1_src_prepare
+
+ # unbundle deps
+ rm -r flit_core/vendor || die
+ sed -i -e 's:from \.vendor ::' flit_core/*.py || die
+ sed -i -e '/license-files/d' pyproject.toml || die
+}